Mattermost upgrade fails: 'failed to provision sources'

Hardware: Raspberry Pi at home
YunoHost version: 11.2.9.1
I have access to my server : direct access via keyboard / screen
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no, I don’t think so
If your request is related to an app, specify its name and version: mattermost 7.2.0~ynh1

Description of my issue

Hi there, I would love some help with this. My Mattermost version is very old. I’m trying to get it upgraded to the latest version. However, when I click upgrade through the admin panel, I get the following error log. Any ideas?

https://paste.yunohost.org/raw/izukevebew

I’m a bit confused because the package does have a sha256 sum defined for armhf here … https://github.com/YunoHost-Apps/mattermost_ynh/blob/master/manifest.toml#L84

On the other hand, the asset it’s pointing to is some archive that is in version 7.5.x instead of 9.3.x as it’s supposed to be considering the version indicated in the manifest … So that looks like a big inconsistency and pretty sure that wont work … Naively I’d say 32 bit support isnt covered by the upstream project anymore (or never really was idk)

Thanks for the reply. I didn’t know that Mattermost upgrades had been discontinued on armhf. Actually, I don’t even know why Yunohost was installed with armhf when this Pi is 64-bit. I have updated the server to arm64, but so far, I’ve been unsuccessful in importing the old Mattermost data. I hope it’s possible.